summaryrefslogtreecommitdiffstats
path: root/tests/shell/testcases/chains/0024prio_inet_dstnat_1
diff options
context:
space:
mode:
Diffstat (limited to 'tests/shell/testcases/chains/0024prio_inet_dstnat_1')
-rwxr-xr-xtests/shell/testcases/chains/0024prio_inet_dstnat_116
1 files changed, 16 insertions, 0 deletions
diff --git a/tests/shell/testcases/chains/0024prio_inet_dstnat_1 b/tests/shell/testcases/chains/0024prio_inet_dstnat_1
new file mode 100755
index 00000000..a9a7264a
--- /dev/null
+++ b/tests/shell/testcases/chains/0024prio_inet_dstnat_1
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+for family in ip ip6 inet
+do
+ for hook in input forward output postrouting
+ do
+ $NFT add table $family x
+ $NFT add chain $family x y "{ type filter hook $hook priority dstnat; }" &> /dev/null
+ if (($? == 0))
+ then
+ echo "E: dstnat should not be a valid priority name in $family $hook chains." >&2
+ exit 0
+ fi
+ done
+done
+exit 1